Bug 700959 - Review Request: TOPCOM - Triangulations Of Point Configurations and Oriented Matroids
Summary: Review Request: TOPCOM - Triangulations Of Point Configurations and Oriented ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Volker Fröhlich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-29 22:21 UTC by Jerry James
Modified: 2012-04-12 03:15 UTC (History)
3 users (show)

Fixed In Version: TOPCOM-0.17.1-3.fc17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-04-09 01:58:03 UTC
Type: ---
volker27: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jerry James 2011-04-29 22:21:59 UTC
Spec URL: http://jjames.fedorapeople.org/TOPCOM/TOPCOM.spec
SRPM URL: http://jjames.fedorapeople.org/TOPCOM/TOPCOM-0.16.2-1.fc15.src.rpm
Description: TOPCOM is a package for computing Triangulations Of Point Configurations and Oriented Matroids.  It is a component of SINGULAR, which is a component of SAGE.

This package will not build on Fedora 14 or earlier.  Fedora 15 or Rawhide is required.

Comment 1 Jerry James 2011-10-18 18:10:40 UTC
I have updated to version 0.17.1 and improved the man pages in a few ways.  New URLs:

http://jjames.fedorapeople.org/TOPCOM/TOPCOM.spec
http://jjames.fedorapeople.org/TOPCOM/TOPCOM-0.17.1-1.fc15.src.rpm

Comment 2 Jerry James 2011-11-13 00:19:39 UTC
Minor changes, plus building for F16 instead of F15:

http://jjames.fedorapeople.org/TOPCOM/TOPCOM.spec
http://jjames.fedorapeople.org/TOPCOM/TOPCOM-0.17.1-1.fc16.src.rpm

Comment 3 Volker Fröhlich 2012-03-15 15:51:04 UTC
The build fails:

http://koji.fedoraproject.org/koji/taskinfo?taskID=3897841

I also tried it on F16 i386, where it fails as well.

Comment 4 Jerry James 2012-03-28 22:52:46 UTC
Sorry to be slow, Volker.  The koji build failure was due to a change in C++ name lookups in GCC 4.7.  That caused several of my other packages to fail to build, also.  I've patched the problem.  I don't understand the F16 i386 failure, as it works for me.  If it still fails for you, can you attach a build log?

Spec URL: http://jjames.fedorapeople.org/TOPCOM/TOPCOM.spec
SRPM URL: http://jjames.fedorapeople.org/TOPCOM/TOPCOM-0.17.1-2.fc18.src.rpm

Comment 5 Volker Fröhlich 2012-03-29 08:22:32 UTC
Builds fine now!

Comment 6 Volker Fröhlich 2012-03-29 20:09:51 UTC
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== C/C++ ====
[x]: MUST Header files in -devel subpackage, if present.
[x]: MUST ldconfig called in %post and %postun if required.
[x]: MUST Package does not contain any libtool archives (.la)
[x]: MUST Package does not contain kernel modules.
[x]: MUST Package contains no static executables.
[x]: MUST Rpath absent or only used for internal libs.
[x]: MUST Package is not relocatable.
[x]: MUST Development (unversioned) .so files in -devel subpackage, if
     present.


==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[-]: MUST Macros in Summary, %description expandable at SRPM build time.
[-]: MUST Package requires other packages for directories it uses.
[-]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Fully versioned dependency in subpackages, if present.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[!]: MUST License file installed when any subpackage combination is installed.

The libs sub-package can be installed without having the license file.

[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint output is silent.

rpmlint TOPCOM-devel-0.17.1-2.fc18.i686.rpm

TOPCOM-devel.i686: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint TOPCOM-debuginfo-0.17.1-2.fc18.i686.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint TOPCOM-0.17.1-2.fc18.i686.rpm

TOPCOM.i686: W: spelling-error Summary(en_US) Triangulations -> Triangulation, Triangulation's, Triangulation s
TOPCOM.i686: W: spelling-error %description -l en_US de -> DE, ed, d
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


rpmlint TOPCOM-0.17.1-2.fc18.src.rpm

TOPCOM.src: W: spelling-error Summary(en_US) Triangulations -> Triangulation, Triangulation's, Triangulation s
TOPCOM.src: W: spelling-error %description -l en_US de -> DE, ed, d
TOPCOM.src: W: invalid-url Source1: TOPCOM-man.tar.xz
1 packages and 0 specfiles checked; 0 errors, 3 warnings.


rpmlint TOPCOM-libs-0.17.1-2.fc18.i686.rpm

TOPCOM-libs.i686: W: shared-lib-calls-exit /usr/lib/libTOPCOM.so.0.17 exit@GLIBC_2.0
TOPCOM-libs.i686: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

Nothing to worry about here.

[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/makerpm/700959/TOPCOM-0.17.1.tar.gz :
  MD5SUM this package     : eb9472f9ad66e00c568744a19156fccd
  MD5SUM upstream package : eb9472f9ad66e00c568744a19156fccd

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: SHOULD Package functions as described.

I tried to run one binary and it didn't crash, but I'm afraid I can't try a lot more.

[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: SHOULD Scriptlets must be sane, if used.
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[!]: SHOULD Packages should try to preserve timestamps of original installed
     files.

Header and manpage timestamps are not preserved
 
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST License file installed when any subpackage combination is installed.

The libs sub-package can be installed without having the license file.

[!]: SHOULD Packages should try to preserve timestamps of original installed
     files.

Header and manpage timestamps are not preserved

Please also inform the author about the FSF address and probably the README encoding.

Comment 7 Jerry James 2012-03-29 21:32:51 UTC
Thanks for the review.  I sent email to the author about the FSF address and encoding issues.  I moved most of the documentation to the -libs subpackage where it belongs, and preserved the man page and header file timestamps.  New URLs:

Spec URL: http://jjames.fedorapeople.org/TOPCOM/TOPCOM.spec
SRPM URL: http://jjames.fedorapeople.org/TOPCOM/TOPCOM-0.17.1-3.fc18.src.rpm

Comment 8 Volker Fröhlich 2012-03-30 06:32:13 UTC
APPROVED

Comment 9 Jerry James 2012-03-30 14:40:27 UTC
New Package SCM Request
=======================
Package Name: TOPCOM
Short Description: Triangulations Of Point Configurations and Oriented Matroids
Owners: jjames
Branches: f16 f17
InitialCC:

Comment 10 Gwyn Ciesla 2012-03-30 15:00:22 UTC
Git done (by process-git-requests).

Comment 11 Fedora Update System 2012-03-30 16:02:09 UTC
TOPCOM-0.17.1-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/TOPCOM-0.17.1-3.fc17

Comment 12 Fedora Update System 2012-03-30 16:02:27 UTC
TOPCOM-0.17.1-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/TOPCOM-0.17.1-3.fc16

Comment 13 Fedora Update System 2012-03-30 18:01:07 UTC
TOPCOM-0.17.1-3.fc17 has been pushed to the Fedora 17 testing repository.

Comment 14 Fedora Update System 2012-04-09 01:58:03 UTC
TOPCOM-0.17.1-3.fc16 has been pushed to the Fedora 16 stable repository.

Comment 15 Fedora Update System 2012-04-12 03:15:30 UTC
TOPCOM-0.17.1-3.fc17 has been pushed to the Fedora 17 stable repository.


Note You need to log in before you can comment on or make changes to this bug.